get:
  tags:
    - Operator
  summary: Gets the list of subscription's operators matching the given name.
  x-role: operator-api-admin
  operationId: getOperator
  parameters:
    - name: tenant
      in: path
      description: Tenant (subscription identifier)
      required: true
      schema:
        type: string
    - name: operatorName
      in: path
      description: Operator name
      required: true
      schema:
        type: string
        enum: [redis-operator,redirects-operator,environment-operator]
  responses:
    200:
      description: OK
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '../../schemas/operator/operator_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
post:
  tags:
    - Operator
  summary: Install the operator in all the subscription's clusters.
  x-role: operator-api-admin
  operationId: installOperatorAll
  parameters:
    - $ref: '#/get/parameters/0'
    - $ref: '#/get/parameters/1'
  responses:
    202:
      description: Accepted
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '../../schemas/async_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
    404:
      $ref: '../../openapi.yaml#/components/responses/NotFound'
delete:
  tags:
    - Operator
  summary: Remove the operator from all the subscription's clusters.
  x-role: operator-api-admin
  operationId: uninstallOperatorAll
  parameters:
    - $ref: '#/get/parameters/0'
    - $ref: '#/get/parameters/1'
  responses:
    202:
      description: Accepted
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '../../schemas/async_response.yaml'
    401:
      $ref: '../../openapi.yaml#/components/responses/Unauthorized'
    403:
      $ref: '../../openapi.yaml#/components/responses/Forbidden'
    404:
      $ref: '../../openapi.yaml#/components/responses/NotFound'